Bug 37922 - Update port: java/bluej
Summary: Update port: java/bluej
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ernst de Haan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-05-10 12:40 UTC by Tim Bishop
Modified: 2002-07-04 19:53 UTC (History)
0 users

See Also:


Attachments
bluej.diff (3.43 KB, patch)
2002-05-10 12:40 UTC, Tim Bishop
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Bishop freebsd_committer 2002-05-10 12:40:01 UTC
      Update to version 1.20

Fix: Diff to update bluej from 1.1.6 to 1.2.0 given below.
        files/bluej.diff has been removed - it's now in the distribution.
        pkg-plist also updated accordingly.
Comment 1 Ernst de Haan freebsd_committer 2002-05-10 12:43:13 UTC
Hi Tim,

This patch should be approved by the maintainer.

Ernst


On Friday 10 May 2002 13:39, Tim Bishop wrote:
> >Number:         37922
> >Category:       ports
> >Synopsis:       Update port: java/bluej
> >Confidential:   no
> >Severity:       non-critical
> >Priority:       low
> >Responsible:    freebsd-ports
> >State:          open
> >Quarter:
> >Keywords:
> >Date-Required:
> >Class:          change-request
> >Submitter-Id:   current-users
> >Arrival-Date:   Fri May 10 04:40:01 PDT 2002
> >Closed-Date:
> >Last-Modified:
> >Originator:     Tim Bishop
> >Release:        FreeBSD 4.5-STABLE i386
> >Organization:
> >Environment:
>
> System: FreeBSD killigrew.ukc.ac.uk 4.5-STABLE FreeBSD 4.5-STABLE #2: Wed
> Apr 17 18:17:59 BST 2002
> tdb@killigrew.ukc.ac.uk:/usr/obj/usr/src/sys/KILLIGREW i386
>
> >Description:
>
>       Update to version 1.20
>
> >How-To-Repeat:
> >
> >Fix:
>
>         Diff to update bluej from 1.1.6 to 1.2.0 given below.
>         files/bluej.diff has been removed - it's now in the distribution.
>         pkg-plist also updated accordingly.
>
> --- bluej.diff begins here ---
> diff -ruN bluej.orig/Makefile bluej/Makefile
> --- bluej.orig/Makefile Wed Apr 17 17:40:46 2002
> +++ bluej/Makefile      Fri May 10 11:56:42 2002
> @@ -6,13 +6,13 @@
>  #
>
>  PORTNAME=      bluej
> -PORTVERSION=   1.1.6
> +PORTVERSION=   1.2.0
>  CATEGORIES=    java editors
>  MASTER_SITES=  ftp://ftp.bluej.org/pub/bluej/ \
>                 http://www.metaverse.nl/~ernst/ \
>                 ${MASTER_SITE_LOCAL}
>  MASTER_SITE_SUBDIR=    znerd
> -DISTNAME=      bluej-116
> +DISTNAME=      bluej-120
>  EXTRACT_SUFX=  .jar
>
>  MAINTAINER=    karlj000@unbc.ca
> @@ -34,7 +34,5 @@
>         @${ECHO} ${PREFIX}/bluej.  Close the installer when done.
>         @cd ${PREFIX}; ${LOCALBASE}/${MY_JDK}/bin/java -jar
> ${DISTNAME}${EXTRACT_SUFX} @${RM} -f ${PREFIX}/${DISTNAME}${EXTRACT_SUFX}
> -       @${PATCH} ${PREFIX}/bluej/bluej < ${FILESDIR}/bluej.diff
> -       @${RM} -f ${PREFIX}/bluej/bluej.orig
>
>  .include <bsd.port.mk>
> diff -ruN bluej.orig/distinfo bluej/distinfo
> --- bluej.orig/distinfo Fri Feb 22 19:02:57 2002
> +++ bluej/distinfo      Fri May 10 11:47:55 2002
> @@ -1 +1 @@
> -MD5 (bluej-116.jar) = ba2e689e38c625959d55fa5a87af6fa0
> +MD5 (bluej-120.jar) = a8cbd5bcfb544ea13fb31f2898cb15dd
> diff -ruN bluej.orig/files/bluej.diff bluej/files/bluej.diff
> --- bluej.orig/files/bluej.diff Sat Feb  9 09:03:39 2002
> +++ bluej/files/bluej.diff      Thu Jan  1 01:00:00 1970
> @@ -1,8 +0,0 @@
> ---- /usr/local/bluej/bluej.orig        Mon Feb  4 21:55:16 2002
> -+++ /usr/local/bluej/bluej     Mon Feb  4 21:55:24 2002
> -@@ -1,4 +1,4 @@
> - #!/bin/sh
> - APPBASE=/usr/local/bluej
> -
> CP=$APPBASE/lib/bluej.jar:$APPBASE/lib/editor.jar:$APPBASE/lib/antlr.jar:$A
>PPBASE/lib/MRJToolkitStubs.zip:/usr/local/linux-jdk1.3.1/lib/tools.jar
> --/usr/local/linux-jdk1.3.1/bin/java -cp $CP -native bluej.Main $*
> -+/usr/local/linux-jdk1.3.1/bin/java -cp $CP bluej.Main $*
> diff -ruN bluej.orig/pkg-plist bluej/pkg-plist
> --- bluej.orig/pkg-plist        Fri Feb 22 19:02:57 2002
> +++ bluej/pkg-plist     Fri May 10 12:01:31 2002
> @@ -1,6 +1,3 @@
> -bluej/examples/appletClock/bluej.pkg
> -bluej/examples/appletClock/Clock.java
> -bluej/examples/appletClock/README.TXT
>  bluej/examples/appletdemo/bluej.pkg
>  bluej/examples/appletdemo/CaseConverter.java
>  bluej/examples/appletdemo/README.TXT
> @@ -8,6 +5,10 @@
>  bluej/examples/debugdemo/Car.java
>  bluej/examples/debugdemo/Demo.java
>  bluej/examples/debugdemo/README.TXT
> +bluej/examples/file-reader/FileReader.java
> +bluej/examples/file-reader/README.TXT
> +bluej/examples/file-reader/bluej.pkg
> +bluej/examples/file-reader/test.txt
>  bluej/examples/hello/bluej.pkg
>  bluej/examples/hello/Hello.java
>  bluej/examples/hello/README.TXT
> @@ -39,9 +40,6 @@
>  bluej/examples/picture/README.TXT
>  bluej/examples/picture/Square.java
>  bluej/examples/picture/Triangle.java
> -bluej/examples/reader/bluej.pkg
> -bluej/examples/reader/Reader.java
> -bluej/examples/reader/README.TXT
>  bluej/examples/shapes/bluej.pkg
>  bluej/examples/shapes/Canvas.java
>  bluej/examples/shapes/Circle.java
> @@ -193,14 +191,13 @@
>  bluej/lib/moe.defs
>  bluej/lib/MRJToolkitStubs.zip
>  bluej/bluej
> -@dirrm bluej/examples/appletClock
>  @dirrm bluej/examples/appletdemo
>  @dirrm bluej/examples/debugdemo
> +@dirrm bluej/examples/file-reader
>  @dirrm bluej/examples/hello
>  @dirrm bluej/examples/people
>  @dirrm bluej/examples/people2
>  @dirrm bluej/examples/picture
> -@dirrm bluej/examples/reader
>  @dirrm bluej/examples/shapes
>  @dirrm bluej/examples
>  @dirrm bluej/lib/english/templates/newclass
> @@ -220,3 +217,4 @@
>  @dirrm bluej/lib/swedish/templates
>  @dirrm bluej/lib/swedish
>  @dirrm bluej/lib
> +@dirrm bluej
> --- bluej.diff ends here ---
>
> >Release-Note:
> >Audit-Trail:
> >Unformatted:
>
> To Unsubscribe: send mail to majordomo@FreeBSD.org
> with "unsubscribe freebsd-ports" in the body of the message
Comment 2 Ernst de Haan freebsd_committer 2002-05-10 12:43:29 UTC
Responsible Changed
From-To: freebsd-ports->znerd

I'll handle this.
Comment 3 Ernst de Haan freebsd_committer 2002-05-10 12:51:14 UTC
Just uploaded bluej-120.jar to both www.metaverse.nl and to my FreeBSD 
public_distfiles directory. So the secondary MASTER_SITES are prepared.

Ernst


On Friday 10 May 2002 13:39, Tim Bishop wrote:
> >Number:         37922
> >Category:       ports
> >Synopsis:       Update port: java/bluej
> >Confidential:   no
> >Severity:       non-critical
> >Priority:       low
> >Responsible:    freebsd-ports
> >State:          open
> >Quarter:
> >Keywords:
> >Date-Required:
> >Class:          change-request
> >Submitter-Id:   current-users
> >Arrival-Date:   Fri May 10 04:40:01 PDT 2002
> >Closed-Date:
> >Last-Modified:
> >Originator:     Tim Bishop
> >Release:        FreeBSD 4.5-STABLE i386
> >Organization:
> >Environment:
>
> System: FreeBSD killigrew.ukc.ac.uk 4.5-STABLE FreeBSD 4.5-STABLE #2: Wed
> Apr 17 18:17:59 BST 2002
> tdb@killigrew.ukc.ac.uk:/usr/obj/usr/src/sys/KILLIGREW i386
>
> >Description:
>
>       Update to version 1.20
>
> >How-To-Repeat:
> >
> >Fix:
>
>         Diff to update bluej from 1.1.6 to 1.2.0 given below.
>         files/bluej.diff has been removed - it's now in the distribution.
>         pkg-plist also updated accordingly.
>
> --- bluej.diff begins here ---
> diff -ruN bluej.orig/Makefile bluej/Makefile
> --- bluej.orig/Makefile Wed Apr 17 17:40:46 2002
> +++ bluej/Makefile      Fri May 10 11:56:42 2002
> @@ -6,13 +6,13 @@
>  #
>
>  PORTNAME=      bluej
> -PORTVERSION=   1.1.6
> +PORTVERSION=   1.2.0
>  CATEGORIES=    java editors
>  MASTER_SITES=  ftp://ftp.bluej.org/pub/bluej/ \
>                 http://www.metaverse.nl/~ernst/ \
>                 ${MASTER_SITE_LOCAL}
>  MASTER_SITE_SUBDIR=    znerd
> -DISTNAME=      bluej-116
> +DISTNAME=      bluej-120
>  EXTRACT_SUFX=  .jar
>
>  MAINTAINER=    karlj000@unbc.ca
> @@ -34,7 +34,5 @@
>         @${ECHO} ${PREFIX}/bluej.  Close the installer when done.
>         @cd ${PREFIX}; ${LOCALBASE}/${MY_JDK}/bin/java -jar
> ${DISTNAME}${EXTRACT_SUFX} @${RM} -f ${PREFIX}/${DISTNAME}${EXTRACT_SUFX}
> -       @${PATCH} ${PREFIX}/bluej/bluej < ${FILESDIR}/bluej.diff
> -       @${RM} -f ${PREFIX}/bluej/bluej.orig
>
>  .include <bsd.port.mk>
> diff -ruN bluej.orig/distinfo bluej/distinfo
> --- bluej.orig/distinfo Fri Feb 22 19:02:57 2002
> +++ bluej/distinfo      Fri May 10 11:47:55 2002
> @@ -1 +1 @@
> -MD5 (bluej-116.jar) = ba2e689e38c625959d55fa5a87af6fa0
> +MD5 (bluej-120.jar) = a8cbd5bcfb544ea13fb31f2898cb15dd
> diff -ruN bluej.orig/files/bluej.diff bluej/files/bluej.diff
> --- bluej.orig/files/bluej.diff Sat Feb  9 09:03:39 2002
> +++ bluej/files/bluej.diff      Thu Jan  1 01:00:00 1970
> @@ -1,8 +0,0 @@
> ---- /usr/local/bluej/bluej.orig        Mon Feb  4 21:55:16 2002
> -+++ /usr/local/bluej/bluej     Mon Feb  4 21:55:24 2002
> -@@ -1,4 +1,4 @@
> - #!/bin/sh
> - APPBASE=/usr/local/bluej
> -
> CP=$APPBASE/lib/bluej.jar:$APPBASE/lib/editor.jar:$APPBASE/lib/antlr.jar:$A
>PPBASE/lib/MRJToolkitStubs.zip:/usr/local/linux-jdk1.3.1/lib/tools.jar
> --/usr/local/linux-jdk1.3.1/bin/java -cp $CP -native bluej.Main $*
> -+/usr/local/linux-jdk1.3.1/bin/java -cp $CP bluej.Main $*
> diff -ruN bluej.orig/pkg-plist bluej/pkg-plist
> --- bluej.orig/pkg-plist        Fri Feb 22 19:02:57 2002
> +++ bluej/pkg-plist     Fri May 10 12:01:31 2002
> @@ -1,6 +1,3 @@
> -bluej/examples/appletClock/bluej.pkg
> -bluej/examples/appletClock/Clock.java
> -bluej/examples/appletClock/README.TXT
>  bluej/examples/appletdemo/bluej.pkg
>  bluej/examples/appletdemo/CaseConverter.java
>  bluej/examples/appletdemo/README.TXT
> @@ -8,6 +5,10 @@
>  bluej/examples/debugdemo/Car.java
>  bluej/examples/debugdemo/Demo.java
>  bluej/examples/debugdemo/README.TXT
> +bluej/examples/file-reader/FileReader.java
> +bluej/examples/file-reader/README.TXT
> +bluej/examples/file-reader/bluej.pkg
> +bluej/examples/file-reader/test.txt
>  bluej/examples/hello/bluej.pkg
>  bluej/examples/hello/Hello.java
>  bluej/examples/hello/README.TXT
> @@ -39,9 +40,6 @@
>  bluej/examples/picture/README.TXT
>  bluej/examples/picture/Square.java
>  bluej/examples/picture/Triangle.java
> -bluej/examples/reader/bluej.pkg
> -bluej/examples/reader/Reader.java
> -bluej/examples/reader/README.TXT
>  bluej/examples/shapes/bluej.pkg
>  bluej/examples/shapes/Canvas.java
>  bluej/examples/shapes/Circle.java
> @@ -193,14 +191,13 @@
>  bluej/lib/moe.defs
>  bluej/lib/MRJToolkitStubs.zip
>  bluej/bluej
> -@dirrm bluej/examples/appletClock
>  @dirrm bluej/examples/appletdemo
>  @dirrm bluej/examples/debugdemo
> +@dirrm bluej/examples/file-reader
>  @dirrm bluej/examples/hello
>  @dirrm bluej/examples/people
>  @dirrm bluej/examples/people2
>  @dirrm bluej/examples/picture
> -@dirrm bluej/examples/reader
>  @dirrm bluej/examples/shapes
>  @dirrm bluej/examples
>  @dirrm bluej/lib/english/templates/newclass
> @@ -220,3 +217,4 @@
>  @dirrm bluej/lib/swedish/templates
>  @dirrm bluej/lib/swedish
>  @dirrm bluej/lib
> +@dirrm bluej
> --- bluej.diff ends here ---
>
> >Release-Note:
> >Audit-Trail:
> >Unformatted:
>
> To Unsubscribe: send mail to majordomo@FreeBSD.org
> with "unsubscribe freebsd-ports" in the body of the message
Comment 4 Jeremy Karlson 2002-05-11 04:24:53 UTC
> This patch should be approved by the maintainer.
> > >Synopsis:       Update port: java/bluej
> >       Update to version 1.20

Hey, sweet!  I was going to update this in the next few days.  I'll have a 
look at your patch and give the OK before Monday, okay?

Thanks a lot!

-- 

Jeremy

	Catching his children with their hands in the new, still wet, patio,
the father spanked them.  His wife asked, "Don't you love your children?"
"In the abstract, yes, but not in the concrete."
Comment 5 Ernst de Haan freebsd_committer 2002-07-04 14:03:05 UTC
Hi Karl,

You still have not responded to PR 37922. After 2 months (July 10th) I will 
consider your response timed-out and commit the changes submitted by Tim. 
Please approve or disapprove the patches before that date.

Thanks,


Ernst

-- 
Ernst de Haan
EuroNet Internet B.V.

    "Come to me all who are weary and burdened
        and I will give you rest" -- Jesus Christ
Comment 6 Jeremy Karlson 2002-07-04 18:41:03 UTC
> You still have not responded to PR 37922. After 2 months (July 10th) I will 
> consider your response timed-out and commit the changes submitted by Tim. 
> Please approve or disapprove the patches before that date.

I have already submitted a patch, incorporating Tim's changes - 
ports/39956.  I apologize.

Thanks for the help, Tim.  Thanks for doing this, Ernst.

-- 

Jeremy

Savage's Law of Expediency:
	You want it bad, you'll get it bad.
Comment 7 Ernst de Haan freebsd_committer 2002-07-04 19:52:41 UTC
State Changed
From-To: open->closed

Committed when PR 39956 was committed, thanks!